version: '3'
services:
  app:
    build: ./docker/php
    container_name: tasks-app
    volumes:
      - .:/var/www
    depends_on:
      - mysql

  nginx:
    image: nginx:1.24.0
    container_name: tasks-nginx
    ports:
      - 8000:80
    volumes:
      - .:/var/www
      - ./docker/nginx/conf.d/:/etc/nginx/conf.d/
    depends_on:
      - app

  mysql:
    image: mysql:8.0
    container_name: tasks-mysql
    restart: always
    volumes:
      - ./tmp/db:/var/lib/mysql
    environment:
      MYSQL_DATABASE: main
      MYSQL_ROOT_PASSWORD: root
    ports:
      - 3306:3306
